<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Complex Automation Practice Page</title>
</head>
<body>
    <h1>Welcome to Complex Automation Practice</h1>
    
    <div id="container1">
        <h2>Frame Example</h2>
        <iframe src="frame_content.html" title="Frame Example"></iframe>
    </div>
    
    <div id="container2">
        <h2>Div Example</h2>
        <div class="content-box">
            <p>This is a div container with some content.</p>
            <button id="button1">Click me</button>
        </div>
    </div>
    
    <div id="container3">
        <h2>Nested Div Example</h2>
        <div class="outer-box">
            <p>This is the outer div container.</p>
            <div class="inner-box">
                <p>This is the inner div container.</p>
                <input type="text" id="inputField" placeholder="Type here">
            </div>
        </div>
    </div>
</body>
</html>
